Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class DefaultEntryPointResolverSet

    java.lang.Object
      org.mule.model.resolvers.DefaultEntryPointResolverSet

All Implemented Interfaces:
  EntryPointResolverSet

Direct Known Subclasses:
  LegacyEntryPointResolverSet

    public class DefaultEntryPointResolverSet

extends Object
implements EntryPointResolverSet

Provides the default implementation of an `EntryPointResolverSet` It resolves a method to call on the given service when an event is received. This object maintains a set of Resolvers that will be used in order to resolve an entrypoint on a service object until one is found or until the set is exhausted.

Constructor Summary
`DefaultEntryPointResolverSet()`

Method Summary
`void` | `addEntryPointResolver(EntryPointResolver resolver)` Will add a resolver to the list of resolvers to invoke on a compoent.
`Set<EntryPointResolver>` | `getEntryPointResolvers()`
`Object` | `invoke(Object component, MuleEventContext context)` Will attempt to invoke the component by looping through all `EntryPointResolver` instances registered on this set until a match is found
`boolean` | `removeEntryPointResolver(EntryPointResolver resolver)` Removes a resolver from the list
`void` | `setEntryPointResolvers(Set<EntryPointResolver> entryPointResolvers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEntryPointResolverSet

    public DefaultEntryPointResolverSet()

Method Detail

### invoke

    public Object invoke(Object component,
                         MuleEventContext context)
                  throws Exception

  Description copied from interface: `EntryPointResolverSet`
  Will attempt to invoke the component by looping through all `EntryPointResolver` instances registered on this set until a match is found

  Specified by:
    `invoke` in interface `EntryPointResolverSet`
  Parameters:
    `component` - the component to invoke
    `context` - the current event context, this is used to figure out which method to call on the component
  Returns:
    the result of the invocation
  Throws:
    `Exception` - if the invocation itself or an `EntryPointResolver` fails

### getEntryPointResolvers

    public Set<EntryPointResolver> getEntryPointResolvers()

  Returns:
    the entry point resolves configured in this resolver set. Note that access to the set is not thread safe. Client code must take proper precautions to synchronize.

### setEntryPointResolvers

    public void setEntryPointResolvers(Set<EntryPointResolver> entryPointResolvers)

### addEntryPointResolver

    public void addEntryPointResolver(EntryPointResolver resolver)

  Description copied from interface: `EntryPointResolverSet`
  Will add a resolver to the list of resolvers to invoke on a compoent. Implementations must maintain an ordered list of resolvers

  Specified by:
    `addEntryPointResolver` in interface `EntryPointResolverSet`
  Parameters:
    `resolver` - the resolver to add

### removeEntryPointResolver

    public boolean removeEntryPointResolver(EntryPointResolver resolver)

  Description copied from interface: `EntryPointResolverSet`
  Removes a resolver from the list

  Specified by:
    `removeEntryPointResolver` in interface `EntryPointResolverSet`
  Parameters:
    `resolver` - the resolver to remove
  Returns:
    true if the resolver was found and removed from the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.